<?php
	require_once( $GLOBALS["site_root"] . "/includes/widgets/FrontendDatetime.inc.php" );

	class JobQuoteDeadline extends FrontendDatetime {

		public function __construct( $id , $parent = null ) {
			parent::__construct( $id , $parent );
			$this->setMinDatetime( fo3_date( "Y-m-d H:i" , fo3_time() + 86400 ) );
			$this->setMaxDatetime( fo3_date( "Y-m-d H:i" , fo3_time() + JOB_QUOTE_DEADLINE_MAX_DELTA ) );
			$this->setValue( fo3_date( "Y-m-d H:i" , fo3_nextday( 86400 ) + (23*3600 + 59*60) ) );
			$this->setExtraEvalData( "datas.onClose = function() { JobQuoteDeadlineOnClose( \$(this) ); }" );
		}
	}

?>
